#!/bin/bash
# retrieve DIR_ORTHOLOGER
DIR_ORTHOLOGER=${DIR_ORTHOLOGER=../..}
[[ -f ../.setup.sh ]] && source ../.setup.sh

# setup nr of threads
export NTHREADS=${1-0}

echo ">>> Copy tree 7148.nw"
cp -v ../data/diptera/todo/7148.nw todo/7148.nw || exit 255

export TREE_ENABLED=1
export TREE_INPUT_FILE="todo/7148.nw"
export TREE_INPUT_ODB="https://data.orthodb.org/current/tree"

echo ">>> Run setup.sh"
$DIR_ORTHOLOGER/bin/setup.sh

# import data
echo
echo ">>> Import data"
./orthologer.sh manage -f 7148.txt

# update config
echo
echo ">>>Update config"
./orthologer.sh -T todo/7148.nw -u

